using System;

namespace ChuPiao.Common.Models
{
	/// <summary>
	/// 机器可出票玩法
	/// </summary>
	[Serializable]
    public class M_MachinePlayEntity : ICloneable
	{
        public M_MachinePlayEntity()
		{}
		#region Model
		private int _l_id;
		private int _l_mid;
		private int _l_lotid;
		private int _l_playid;
        //默认不启用，这样可以动态添加后，点启用才生效
        private bool _l_isuse = false;
		/// <summary>
		/// ID
		/// </summary>
		public int P_Id
		{
			set{ _l_id=value;}
			get{return _l_id;}
		}
		/// <summary>
		/// 彩票机主键ID
		/// </summary>
		public int P_Mid
		{
			set{ _l_mid=value;}
			get{return _l_mid;}
		}
		/// <summary>
		/// 彩种ID
		/// </summary>
		public int P_LotId
		{
			set{ _l_lotid=value;}
			get{return _l_lotid;}
		}
		/// <summary>
		/// 玩法ID
		/// </summary>
		public int P_PlayId
		{
			set{ _l_playid=value;}
			get{return _l_playid;}
		}
		/// <summary>
		/// 是否启用
		/// </summary>
		public bool P_IsUse
		{
			set{ _l_isuse=value;}
			get{return _l_isuse;}
		}
		#endregion Model


        #region ICloneable 成员

        public object Clone()
        {
            return this.MemberwiseClone();
        }

        #endregion

        #region 因为界面上要显示这两个字段，所以添加进实体
        private string _m_number;
        private string _m_zxnumber;
        /// <summary>
        /// 机器号
        /// </summary>
        public string M_Number
        {
            set
            {
                _m_number = value;
            }
            get
            {

                return _m_number;

            }
        }
        /// <summary>
        /// 中心机器号
        /// </summary>
        public string M_ZxNumber
        {
            set { _m_zxnumber = value; }
            get { return _m_zxnumber; }
        }

        #endregion
    }
}

